# Note that this is NOT a relocatable package
#!BuildIgnore:	post-build-checks
Summary:	HTTP library of common code
Name:		w3c-libwww
Version:	5.4.0
Release:	13.2
License:	W3C (see: http://www.w3.org/Consortium/Legal/copyright-software.html)
Group:		System Environment/Libraries
Source:		http://www.w3.org/Library/Distribution/w3c-libwww-%{version}.tgz
Patch0:		w3c-libwww-5.2.8-destdir.patch
Patch1:		w3c-libwww-5.3.2-incdir.patch
Patch2:		w3c-libwww-ppc64.patch
Patch3:		w3c-libwww-autostar.patch
Patch4:		w3c-libwww-5.4.0-type.patch
Patch5:		w3c-libwww-5.4.0-htbound.patch
URL:		http://www.w3.org/Library
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libtool autoconf automake zlib-devel
BuildRequires:	openssl-devel

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww
Group: Development/Libraries
Requires: w3c-libwww = %{version} zlib-devel

%description devel
Static libraries and header files for libwww, which are available as public
libraries.

%package apps
Summary: Applications built using Libwww web library
Group: Applications/Internet
Requires: w3c-libwww

%description apps
Web applications built using Libwww: Robot, Command line tool, 
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of, 
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of 
Web sites that implement more than just HTTP GET (e.g. PUT, 
 POST, etc.).

The line mode browser is a minimal line mode web browser; 
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%debug_package
%prep
%setup -q
#%patch0 -p1 -b .destdir
%patch1 -p1 
%patch2 -p1 -b .ppc64
%patch3 -p1 -b .autostar
%patch4 -p1 -b .type
%patch5 -p1 -b .htfix

libtoolize -c -f
aclocal
automake --add-missing
autoconf
autoheader
echo timestamp > stamp-h.in
touch Library/User/Extrnals.html

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"
CPPFLAGS="$RPM_OPT_FLAGS -fPIC"

%configure --enable-shared --with-gnu-ld --with-regex --with-zlib --with-ssl
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

export tagname=CC
make LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT install

pushd $RPM_BUILD_ROOT
  chmod +x .%{_libdir}/lib{www*,xml*,md5}.so.0.*
  ln -s w3c-libwww/xmlparse.h ./usr/include/xmlparse.h
  mv ./%{_prefix}/include/wwwconf.h ./%{_prefix}/include/w3c-libwww/
popd

chmod -x *.html Icons/*/*.gif

# remove since for some reason we aren't shipping it
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/www

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libwww*.so.*
%{_libdir}/libxml*.so.*
%{_libdir}/libmd5.so.*
%{_libdir}/libpics.so.*
%{_prefix}/share/w3c-libwww

%doc *.html Icons/*/*.gif

%files apps
%defattr(-,root,root)
%{_prefix}/bin/webbot
%{_prefix}/bin/w3c

%files devel
%defattr(-,root,root)
%{_prefix}/bin/libwww-config
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%{_prefix}/include/w3c-libwww
%{_prefix}/include/xmlparse.h

%changelog
* Sun Apr 19 2009 Carsten Schoene <cs@linux-administrator.com> - 5.4.0-11
- import to BS
 
* Wed Nov 15 2006 Harald Hoyer <harald@redhat.com> - 5.4.0-10.1.RHEL4.2
- fix for libwww's handling of multipart/byteranges content and possible
  stack overflow, CVE-2005-3183
- Resolves: rhbz#169495

* Thu Nov 10 2004 Harald Hoyer <harald@redhat.com> - 5.4.0-10.1.RHEL4.1
- fixed type in md5.h for 64bit (bug #163664)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Harald Hoyer <harald@redhat.com> - 5.4.0-8
- added zlib-devel dependency

* Thu Aug  7 2003 Elliot Lee <sopwith@redhat.com> 5.4.0-7
- Fix libtool, auto*

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com> 5.4.0-5
- ppc64 fixes

* Wed Jan 29 2003 Harald Hoyer <harald@redhat.de> 5.4.0-4
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 18 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches
- lib64'ize
- fix broken %%doc file list

* Tue Jul 23 2002 Harald Hoyer <harald@redhat.de> 5.4.0-1
- removed prestripping

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 20 2002 Harald Hoyer <harald@redhat.de>
- fixed --cflags (#59503)

* Wed Jan 23 2002 Harald Hoyer <harald@redhat.de> 5.3.2-4
- moved wwwconf.h in w3c-libwww subdir #58060
- added libpics.so.* #58433

* Mon Jan 07 2002 Harald Hoyer <harald@redhat.com> 5.3.2-2
- added wwwconf.h (#58060)

* Thu Dec 13 2001 Harald Hoyer <harald@redhat.com>
- fix for #55526

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- make devel package version dependant

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild for 7.2.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- added patch to toplevel Makefile.am to honor DESTDIR
- use "make DESTDIR=$RPM_BUILD_ROOT install"

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.1.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
